Skip to main content
POST
Checkout

Authorizations

Authorization
string
header
required

Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....

Body

application/json
amount
string
required
Example:

"8000"

Phoneno
string
required
Example:

"07011223344"

currency_collected
enum<string>
required
Available options:
NGN,
USD,
CAD,
GBP,
KES,
GHS,
EUR
Example:

"NGN, USD, CAD, GBP"

currency_settled
enum<string>
required
Available options:
NGN,
USD,
CAD,
EUR,
GBP,
KES,
GHS
Example:

"NGN, USD, CAD, GBP"

email
string
required
Example:

"Useremail@getmail"

redirectUrl
string
Example:

"https://"

webhookUrl
string
Example:

"https://"

transactionId
string
Example:

"Flick-48be6adc2-a3514aaab"

Response

Successful

status
string
Example:

"Success"

message
string
Example:

"Transaction created successfully"

data
object